<!--The content below is only a placeholder and can be replaced.-->
<div class="container">
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="#">{{title}}</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item" routerLinkActive="active">
          <a class="nav-link" routerLink=''>Home </a>
        </li>
        <li class="nav-item" routerLinkActive="active">
          <a class="nav-link" routerLink='popular'>Popular Series</a>
        </li>
        <li class="nav-item" routerLinkActive="active">
          <a class="nav-link" routerLink='upcoming'>Upcoming Movies</a>
        </li>
      </ul>
      <!-- <form class="form-inline my-2 my-lg-0">
        <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
        <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
      </form> -->
    </div>
  </nav>
  
  <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
    <ol class="carousel-indicators">
      <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
      <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
      <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
    </ol>
    <div class="carousel-inner">
      <div class="carousel-item active">
        <img class="d-block w-100" src="https://www.metaslider.com/wp-content/uploads/2014/11/mountains1.jpg" alt="First slide">
      </div>
      <div class="carousel-item">
        <img class="d-block w-100" src="http://wowslider.com/sliders/demo-5/data/images/sweden.jpg" alt="Second slide">
      </div>
      <div class="carousel-item">
        <img class="d-block w-100" src="https://www.jssor.com/demos/img/gallery/980x380/001.jpg" alt="Third slide">
      </div>
    </div>
    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
      <span class="carousel-control-prev-icon" aria-hidden="true"></span>
      <span class="sr-only">Previous</span>
    </a>
    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
      <span class="carousel-control-next-icon" aria-hidden="true"></span>
      <span class="sr-only">Next</span>
    </a>
  </div>
</div>

<div class="container">
  <div class="row">
    <div class="col-3">
      <div class="list-group">
        
        <li class="list-group-item list-group-item-info"><strong>Genre</strong></li>
        
        <a routerLink="/genres/{{gen.id}}/{{gen.name}}" routerLinkActive="active" *ngFor="let gen of genres" class="list-group-item">
          {{gen.name}}
        </a>
      </div>
    </div>
    <div class="col-9 pl-0">
      <router-outlet></router-outlet>
    </div>
  </div>
</div>
